local M = {}

--Helper for triggering powerups, mostly for curling levels as there is more chance of powerups
--behaving poorly/oddly

--                    player, powerupX, powerupY, powerupZ, powerupScale
local function checkDistance(vehicleObject, pX, pY, pZ, scale)
	local distance = math.floor(math.sqrt(math.pow(vehicleObject:getPosition().x+pX, 2) + math.pow(vehicleObject:getPosition().y+pY, 2), math.pow(vehicleObject:getPosition().z+pZ, 2)))
	if distance <= scale then return true
	else return false
	end
end

--                     powerupName, id-Used for if more than one of the same powerup is present, powerupId-The overall id in that scenario
local function triggerMultiplier(name, id)
	ui_message(name..' got!', 3, 'A')
	--If more than one powerup of the same type per level:
	if id ~= 0 then TorqueScript.eval(name..'_'..id..'_board.position = "10000 0 0";')
	else TorqueScript.eval(name..'_board.position = "10000 0 0";')
	end
end

M.checkDistance = checkDistance
M.triggerMultiplier = triggerMultiplier
return M