--Best = 619

local M = {}

local scoreLand = 0
local distance = 0
local file = require('scenario/fileHandler')

local function onRaceStart()
	if not start then start = true end
end

local function success(score)
	local medal, nextMedal
	if score < 250 then 
		medal = 'None'
		nextMedal = 'Bronze(250)'
	elseif score >= 250 and score < 300 then 
		medal = 'Bronze'
		nextMedal = 'Silver(300)'
	elseif score >= 300 and score < 450 then 
		medal = 'Silver'
		nextMedal = 'Gold(450)'
	elseif score >= 450 and score < 500 then 
		medal = 'Gold'
		nextMedal = 'Platinum(500)'
	elseif score >= 500 and score < 600 then 
		medal = 'Platinum'
		nextMedal = 'Diamond(600)'
	elseif score >= 600 then 
		medal = 'Diamond'
		nextMedal = 'n/a'
	else
		medal = 'Broken'
		nextMedal = 'Also Broken'
	end
	
	file.updateFile(file.getMedalAsNumber(medal), 5, nil, nil)
	
    local result = {msg = 'Well Done! Your Score: '..score..' | You Achieved: '..medal..' | Next Medal: '..nextMedal..''}
	scenario_scenarios.finish(result)
end

local function onRaceTick(raceTickTime)
	local playerObject = scenetree.findObject('player')
	distance = math.floor(playerObject:getPosition().y+863.361)
	
	if playerObject:getPosition().z <= 5 then success(distance) end
end

M.onRaceStart = onRaceStart
M.onRaceTick = onRaceTick
return M